Jump to:

4935 Posts in 16178 Topics by 1488 members

Installing SilverStripe

SilverStripe Forums » Installing SilverStripe » Installing 3.0.2 on WAMP

Getting SilverStripe up and running on your computer and on your web server.

Moderators: martimiz, Sean, biapar, Willr, Ingo, swaiba, simon_w

Page: 1
Go to End
Author Topic: 1069 Views
  • draytop
    Avatar
    Community Member
    5 Posts

    Installing 3.0.2 on WAMP Link to this post

    Hi,

    How to you install the latest version of SilverStripe CMS on WAMP?

    The System Requirements say: PHP 3.0 or above.
    Yet if I try and install, the install process says "To run SilverStripe, please install PHP 5.3.2 or greater."

    The latest version of PHP available for WAMP is PHP 5.3.1

    Frustrated Developer,
    (Think I'm going to use Concrete5 or ExpressionEngine instead!)

  • Sean
    Avatar
    Forum Moderator
    921 Posts

    Re: Installing 3.0.2 on WAMP Link to this post

    Hi there,

    PHP 3.0 is ancient, I don't recall ever seeing that as a minimum requirement. Where did you see that?

    There are updated versions of WampServer available here: http://www.wampserver.com/en/

    I would suggest you upgrade to the one that uses PHP 5.3.13 as the latest PHP version.

    Note that SilverStripe 3 requires PHP 5.3.2 as a minimum. Most server stacks have upgraded their PHP versions since then.

    Thanks,
    Sean

  • draytop
    Avatar
    Community Member
    5 Posts

    Re: Installing 3.0.2 on WAMP Link to this post

    Sorry,

    It was a mis-type, your System Requirements say: PHP 5.3.0 or above.

    Goto http://www.wampserver.com/en/ and scroll to the bottom and click on "Download PHP Addons"

    Low and behold, versions available for WAMP are PHP 5.3.1 and PHP 5.3.0

    So again, I ask you the question, How do I install the latest version of SilverStripe on WAMP?

  • Sean
    Avatar
    Forum Moderator
    921 Posts

    Re: Installing 3.0.2 on WAMP Link to this post

    Hi there,

    Those are WAMP addons for installing older versions of PHP, so you can try to match your production environments.

    If you see the download for the main WampServer on that page it has PHP 5.3.13.

    So therefore if you download the latest WampServer version and use that, you can install SilverStripe on it.

    Thanks,
    Sean

  • draytop
    Avatar
    Community Member
    5 Posts

    Re: Installing 3.0.2 on WAMP Link to this post

    Ok thanks,

    I'll try re-installing the latest WAMP.

  • draytop
    Avatar
    Community Member
    5 Posts

    Re: Installing 3.0.2 on WAMP Link to this post

    Installed WAMP, running PHP 5.3.13

    Now I just get a blank screen when I'm trying a fresh install of SilverStripe 3.0.2 CMS!

  • draytop
    Avatar
    Community Member
    5 Posts

    Re: Installing 3.0.2 on WAMP Link to this post

    Never mind,

    I've fixed it.

    1069 Views
Page: 1
Go to Top

Want to know more about the company that brought you SilverStripe? Then check out SilverStripe.com

Comments on this website? Please give feedback.